package md

type StaffListReq struct {
	Limit int    `json:"limit"`
	Page  int    `json:"page" `
	Name  string `json:"name" label:"姓名"`
	Phone string `json:"phone" label:"负责人手机号"`
	IdNo  string `json:"id_no" label:"身份证号码"`
}

type StaffDeleteReq struct {
	Ids []int `json:"ids"`
}

type StaffAddReq struct {
	Name        string `json:"name"`
	Sex         int    `json:"sex"`
	IdNo        string `json:"id_no"`
	Phone       string `json:"phone"`
	NativePlace string `json:"native_place"`
	Department  string `json:"department"`
}

type StaffUpdateReq struct {
	Id          int    `json:"id" binding:"required"`
	Name        string `json:"name"`
	Sex         int    `json:"sex"`
	IdNo        string `json:"id_no"`
	Phone       string `json:"phone"`
	NativePlace string `json:"native_place"`
	Department  string `json:"department"`
	CreateAt    string `json:"create_at"`
}
